Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Feature #1128

Playlist export: preselect previously loaded playlist in file selector
October 22, 2021 10:32 - Martin Gyrtel

Status: Closed Start date: October 22, 2021
Priority: Minor Due date:

Assignee: % Done: 100%

Category: libaudqt Estimated time: 0.50 hour
Target version: 4.2

Affects version: 41

Description

In the Qit interface:

A new playlist is created, then a playlist from disk is imported here.

When exporting this playlist, preselect the name of the previously imported playlist in the file selector dialog.
The GTK interface already has this feature, | miss it in the Qt interface.

History

#1 - November 13, 2021 02:52 - John Lindgren
- % Done changed from 0 to 100

- Status changed from New to Closed

Fixed, thanks for mentioning it!
https://github.com/audacious-media-player/audacious/commit/1dd69cb15d0326b9c8d21fab39d66a48c089a0f7

#2 - November 19, 2021 21:14 - Jim Turner
- File fileopener.diff added

NOT fixed! - File name does not appear in text dialog box nor is that file's row highlighted (though the latter looks more like a Qt "feature" perhaps?). |
ended up having to do the following (from libaudgt/file-entry.cc) in order to get this to work in Audacious (the filename to appear in the text dialog box)
- see attached diff file! I'm using latest Aud git a/o 11/19 with Linux Debian Bookworm (testing) & Qt v5.15.2.

I can file a new bug if you wish.

Regards,

Jim

#3 - February 05, 2022 22:22 - John Lindgren

- Target version set to 4.2

Files

fileopener.diff 983 BytesNovember 19, 2021 Jim Turner
